version: '3.3'
services:
  db:
    image: mysql
    restart: always
    environment:
      MYSQL_DATABASE: 'socialnetwork'
      MYSQL_USER: 'socialnetwork'
      MYSQL_PASSWORD: 'password'
      MYSQL_ROOT_PASSWORD: 'password'
    ports:
      - '3307:3306'
    expose:
      - '3307'
    volumes:
      - socialnetworkdb:/var/lib/mysql
volumes:
  socialnetworkdb: